Last Comment Bug 572454 - Clean up SeaMonkey versions of getFileDisplayName
: Clean up SeaMonkey versions of getFileDisplayName
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: 569542
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 10:26 PDT by Robert Kaiser (not working on stability any more)
Modified: 2010-09-02 16:09 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
match the Firefox patch (6.32 KB, patch)
2010-07-10 13:01 PDT, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-06-16 10:26:04 PDT
Bug 569542 has browser/ parts that should be ported to SeaMonkey. Should be easy to do!
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2010-06-16 10:33:09 PDT
The only changes from that bug that applies to SeaMonkey are just cleanup - your suite/feeds/src/FeedWriter.js and suite/common/pref/pref-applications.js contain copies of those methods, so making them consistent with all the others (including the name) makes sense, but they're not buggy.

(Ideally we'd fix this by avoiding the duplication entirely, but there's no real good common place to put this small amount of code...)
Comment 2 Robert Kaiser (not working on stability any more) 2010-07-10 13:01:10 PDT
Created attachment 456694 [details] [diff] [review]
match the Firefox patch

This patch matches the Firefox version, I guess that's all that needs to be done here.
Comment 3 Ian Neal 2010-07-12 15:04:57 PDT
Comment on attachment 456694 [details] [diff] [review]
match the Firefox patch

>-function getDisplayNameForFile(aFile) {
>+function getFileDisplayName(file) {
I'd prefer we kept aFile as the argument, unless there is a particular reason to make that change.
r=me with that addressed.
Comment 4 Robert Kaiser (not working on stability any more) 2010-07-18 10:02:06 PDT
Pushed as http://hg.mozilla.org/comm-central/rev/d4d7f0a8fe16 with the param reverted to aFile.
Comment 5 neil@parkwaycc.co.uk 2010-09-02 02:30:08 PDT
Comment on attachment 456694 [details] [diff] [review]
match the Firefox patch

>diff --git a/suite/common/pref/pref-applications.js b/suite/common/pref/pref-applications.js
>+  return file.leafName;
...
>diff --git a/suite/feeds/src/FeedWriter.js b/suite/feeds/src/FeedWriter.js
>+    return file.fileName;
Oops; This should have been leafName too.
Comment 6 Robert Kaiser (not working on stability any more) 2010-09-02 16:02:11 PDT
(In reply to comment #5)
> >diff --git a/suite/feeds/src/FeedWriter.js b/suite/feeds/src/FeedWriter.js
> >+    return file.fileName;
> Oops; This should have been leafName too.

Gah, that's a mis-port, apparently, Firefox has is correct. Bad boy me for messing this one up. :(

Will land fixup shortly with rs=Neil over IRC.
Comment 7 Robert Kaiser (not working on stability any more) 2010-09-02 16:09:44 PDT
Landed this followup as http://hg.mozilla.org/comm-central/rev/d817de56d8a1

Note You need to log in before you can comment on or make changes to this bug.